File: changelog

package info (click to toggle)
python-pykka 2.0.0-3
  • links: PTS, VCS
  • area: main
  • in suites: sid
  • size: 556 kB
  • sloc: python: 2,402; makefile: 117; sh: 8
file content (279 lines) | stat: -rw-r--r-- 8,400 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
238
239
240
241
242
243
244
245
246
247
248
249
250
251
252
253
254
255
256
257
258
259
260
261
262
263
264
265
266
267
268
269
270
271
272
273
274
275
276
277
278
279
python-pykka (2.0.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

 -- Stein Magnus Jodal <jodal@debian.org>  Thu, 03 Oct 2019 09:41:20 +0200

python-pykka (2.0.0-2) unstable; urgency=medium

  * Remove pykka._compat.await_py3 from Python 2 package

 -- Stein Magnus Jodal <jodal@debian.org>  Sat, 20 Jul 2019 02:59:05 +0200

python-pykka (2.0.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout

  [ Stein Magnus Jodal ]
  * Refresh patches after git-dpm to gbp pq conversion
  * d/control: Bump Standards-Version to 4.4.0, no changes required
  * New upstream release
  * Remove custom clean rules
  * Test with pytest
  * Add explicit dependency on sphinx-rtd-theme

 -- Stein Magnus Jodal <jodal@debian.org>  Thu, 18 Jul 2019 23:00:47 +0200

python-pykka (1.2.1-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field

  [ Stein Magnus Jodal ]
  * debian/control
    - Require debhelper 10
    - Remove version range on python-all
    - Bump Standards-Version to 4.1.4, no changes required
    - Use HTTPS for Homepage
  * debian/copyright
    - Update copyright years
  * debian/*.doc-base
    - Update path to plain text docs index
  * debian/patches
    - Add patch to remove remote images from README

 -- Stein Magnus Jodal <jodal@debian.org>  Tue, 01 May 2018 22:38:04 +0200

python-pykka (1.2.1-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Stein Magnus Jodal ]
  * debian/control
    - Bump Standards-Version to 3.9.8. No changes required
    - Fix spelling-error-in-description-synopsis lintian warning due to
      duplicate words
    - Add Build-Depend-Indep on python-doc
  * debian/copyright
    - Update copyright years
  * debian/patches
    - Add patch to make intersphinx use object.inv from python-doc
      (Closes: #833352)

 -- Stein Magnus Jodal <jodal@debian.org>  Sun, 07 Aug 2016 22:53:41 +0200

python-pykka (1.2.1-2) unstable; urgency=medium

  * Migrate to git-dpm, remove gbp config
  * debian/clean
    - Move .egg-info from d/rules
  * debian/control
    - Update my email address
    - Set DPMT as uploader
    - Update Vcs-Git and Vcs-Browser to point to Alioth
    - Build-Depend on debhelper 9
    - Build-Depend on dh-python
    - Build-Depend on python3-sphinx so we can build docs under Python 3
    - Build-Depend on python{,3}-nose and python{,3}-mock to run tests
    - wrap-and-sort
    - Include python3-gevent and python3-eventlet in Suggests for py3 package
  * debian/copyright
    - Update my email address
    - Update copyright years
  * debian/rules
    - Migrate to pybuild
  * debian/watch
    - Update to use pypi.debian.net

 -- Stein Magnus Jodal <jodal@debian.org>  Sat, 07 Nov 2015 21:16:05 +0100

python-pykka (1.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.6.
  * Add Build-Depends on python[3]-setuptools.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Wed, 29 Jul 2015 21:46:22 +0200

python-pykka (1.2.0-2) unstable; urgency=medium

  * Change Priority from extra to optional. Lots of packages with Priority
    optional is depending on this package.
  * Bump Standards-Version to 3.9.5.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Sun, 25 May 2014 20:14:24 +0200

python-pykka (1.2.0-1) unstable; urgency=low

  * In preinst, only remove symlinks if the files exists and are symlinks.
  * Include part of the Apache 2 license in debian/copyright.
  * Upload to unstable.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Sat, 20 Jul 2013 22:06:33 +0200

python-pykka (1.2.0-0mopidy2) unstable; urgency=low

  * Convert to dh_python2.
  * Merge main and documentation package.
  * Bump debhelper compat level to 8.
  * Build package for Python 3 too.
  * Update copyright file format, refer to common-licenses.
  * Use dh_sphinxdoc to build docs.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Thu, 18 Jul 2013 23:40:14 +0200

python-pykka (1.2.0-0mopidy1) unstable; urgency=low

  * New upstream release.
  * Add python-eventlet to Suggests.
  * Bump Standards-Version to 3.9.4.
  * Update Homepage and Vcs-Browser URLs.
  * Update copyright years.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Mon, 15 Jul 2013 04:05:01 +0200

python-pykka (1.1.0-0mopidy1) unstable; urgency=low

  * New upstream release.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Sat, 19 Jan 2013 10:48:42 +0100

python-pykka (1.0.1-0mopidy1) unstable; urgency=low

  * New upstream release.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Thu, 13 Dec 2012 00:44:16 +0100

python-pykka (1.0.0-1) unstable; urgency=low

  * New upstream release.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Fri, 26 Oct 2012 22:11:42 +0200

python-pykka (0.16-1) unstable; urgency=low

  * New upstream release.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Wed, 19 Sep 2012 02:44:22 +0200

python-pykka (0.15-3) unstable; urgency=low

  * Revert to python-support to make package work on Debian Squeeze.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Sun, 19 Aug 2012 10:09:20 +0200

python-pykka (0.15-2) unstable; urgency=low

  * Split out docs to its own package, python-pykka-doc.
  * Don't bundle jQuery and Underscore.js.
  * Register docs with doc-base.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Sun, 19 Aug 2012 00:58:51 +0200

python-pykka (0.15-1) unstable; urgency=low

  * New upstream release.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Sat, 11 Aug 2012 03:21:39 +0200

python-pykka (0.14-2oneiric1) oneiric; urgency=low

  * Rebuild for oneiric, to get Python 2.6 support.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Tue, 08 May 2012 00:00:37 +0200

python-pykka (0.14-2) unstable; urgency=low

  * Install docs/changes.rst as changelog.
  * Build HTML docs and install them instead of the reST files.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Sun, 22 Apr 2012 21:39:44 +0200

python-pykka (0.14-1) unstable; urgency=low

  * New upstream release.
  * Update copyright year ranges to include 2012.
  * Convert to DEP5 formatted debian/copyright.
  * Bump Standards-Version to 3.9.3.
  * Convert from deprecated python-support to dh_python2.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Sun, 22 Apr 2012 21:18:06 +0200

python-pykka (0.13.0-1) unstable; urgency=low

  * New upstream release.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Sat, 24 Sep 2011 19:45:54 +0200

python-pykka (0.12.4-1) unstable; urgency=low

  * New upstream release.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Sat, 30 Jul 2011 03:54:33 +0200

python-pykka (0.12.3-1) unstable; urgency=low

  * New upstream release.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Sun, 26 Jun 2011 00:13:59 +0300

python-pykka (0.12.2-1) unstable; urgency=low

  * New upstream release.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Thu, 05 May 2011 23:44:02 +0200

python-pykka (0.12.1-1) unstable; urgency=low

  * New upstream release.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Tue, 26 Apr 2011 23:58:17 +0200

python-pykka (0.12-1) unstable; urgency=low

  * New upstream release.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Wed, 30 Mar 2011 23:33:17 +0200

python-pykka (0.11.1-1) maverick; urgency=low

  * New upstream release.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Sun, 20 Mar 2011 23:58:20 +0100

python-pykka (0.11-1) unstable; urgency=low

  * New upstream release.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Sat, 19 Mar 2011 23:48:46 +0100

python-pykka (0.10-1) unstable; urgency=low

  * New upstream release.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Tue, 08 Mar 2011 23:16:38 +0100

python-pykka (0.9.1-1) unstable; urgency=low

  * New upstream release.
  * Remove Build-Depends on python-all-dev.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Sat, 05 Mar 2011 23:01:52 +0100

python-pykka (0.9-2) unstable; urgency=low

  * Change architecture from 'any' to 'all'.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Sat, 05 Mar 2011 02:01:51 +0100

python-pykka (0.9-1) unstable; urgency=low

  * Initial release.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Sat, 05 Mar 2011 01:42:35 +0100